DragonFly BSD
DragonFly kernel List (threaded) for 2005-05
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: libc changes and freebsd-4 compatible binaries

From: Yury Tarasievich <grog@xxxxxxx>
Date: Tue, 3 May 2005 12:33:05 +0300

On 3 May 2005 12:27, Joerg Sonnenberger wrote:
> On Tue, May 03, 2005 at 12:12:44PM +0300, Yury Tarasievich wrote:
> > Well, if the "old" libc (that'd be libc.so.4) can't read the "new"
> > format, and there'll be no "old" format, then the answer is NO, actually.
> > Almost none of the freebsd-4 binary packages will work, because of locale
> > info being now used everywhere.
> That's not true, it just doesn't work for LC_* != C. Well, even that is
> not entirely true, e.g. LC_COLLATE should still work.
> > Can't the sources producing libc.so.4 be made to call the sources
> > producing libc.so.5, or what?
> The problem is not creating it, the problem is that both are installed into
> the same location.

Aren't we talking about different things here? 
I guess you're talking about libc.so symlink and loader picking "what's 
there". I'm talking about binaries specifically wanting libc.so.4. What's 
wrong with providing libc.so.4 that works, either via libs.so.5 or elsehow?

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]